package com.jay.monitor.data.core.model.serializable;

import com.jay.monitor.data.core.enums.MQInvokeType;
import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.base.*;

import java.util.Date;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/10/27 13:50
 */
public class MQDataDTO extends CommonDataDTO implements TranceLogData {

    public MQDataDTO() {
        super(MsgTypeEnums.MQ);
    }

    private String rootLogId;

    private String parentLogId;
    /**
     * 订阅主题
     */
    private String topic;
    /**
     * 消息类型
     */
    private String mqType;
    /**
     * 分区名称
     */
    private String partitionName;
    /**
     * 执行类型  生产/ 消费
     */
    private MQInvokeType invokeType;

    /**
     * 来源时间
     */
    private Date sourceTime;

    /**
     * 消息编号
     */
    private String msgId;

    public Date getSourceTime() {
        return sourceTime;
    }

    public void setSourceTime(Date sourceTime) {
        this.sourceTime = sourceTime;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    @Override
    public String getRootLogId() {
        return this.rootLogId;
    }

    @Override
    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    @Override
    public String getParentLogId() {
        return this.parentLogId;
    }

    @Override
    public void setParentLogId(String parentLogId) {
        this.parentLogId = parentLogId;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getMqType() {
        return mqType;
    }

    public void setMqType(String mqType) {
        this.mqType = mqType;
    }

    public MQInvokeType getInvokeType() {
        return invokeType;
    }

    public void setInvokeType(MQInvokeType invokeType) {
        this.invokeType = invokeType;
    }
}
